Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.simple
Class EncogUtility

    java.lang.Object
      org.encog.util.simple.EncogUtility

    public final class EncogUtility

extends Object

General utility class for Encog. Provides for some common Encog procedures.

Method Summary
`static double` | `calculateClassificationError(MLClassification method, MLDataSet data)` Calculate the classification error.
`static double` | `calculateRegressionError(MLRegression method, MLDataSet data)`
`static void` | `convertCSV2Binary(File csvFile, CSVFormat format, File binFile, int[] input, int[] ideal, boolean headers)`
`static void` | `convertCSV2Binary(File csvFile, File binFile, int inputCount, int outputCount, boolean headers)` Convert a CSV file to a binary training file.
`static void` | `convertCSV2Binary(String csvFile, String binFile, int inputCount, int outputCount, boolean headers)` Convert a CSV file to a binary training file.
`static void` | `evaluate(MLRegression network, MLDataSet training)` Evaluate the network and display (to the console) the output for every value in the training set.
`static String` | `formatNeuralData(MLData data)` Format neural data as a list of numbers.
`static MLDataSet` | `loadCSV2Memory(String filename, int input, int ideal, boolean headers, CSVFormat format, boolean significance)` Load CSV to memory.
`static MLDataSet` | `loadEGB2Memory(File filename)`
`static void` | `saveCSV(File targetFile, CSVFormat format, MLDataSet set)`
`static void` | `saveEGB(File f, MLDataSet data)` Save a training set to an EGB file.
`static BasicNetwork` | `simpleFeedForward(int input, int hidden1, int hidden2, int output, boolean tanh)` Create a simple feedforward neural network.
`static void` | `trainConsole(BasicNetwork network, MLDataSet trainingSet, int minutes)` Train the neural network, using SCG training, and output status to the console.
`static void` | `trainConsole(MLTrain train, BasicNetwork network, MLDataSet trainingSet, int minutes)` Train the network, using the specified training algorithm, and send the output to the console.
`static void` | `trainToError(MLMethod method, MLDataSet dataSet, double error)` Train the method, to a specific error, send the output to the console.
`static void` | `trainToError(MLTrain train, double error)` Train to a specific error, using the specified training method, send the output to the console.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### convertCSV2Binary

    public static void convertCSV2Binary(File csvFile,
                                         File binFile,
                                         int inputCount,
                                         int outputCount,
                                         boolean headers)

  Convert a CSV file to a binary training file.

  Parameters:
    `csvFile` - The CSV file.
    `binFile` - The binary file.
    `inputCount` - The number of input values.
    `outputCount` - The number of output values.
    `headers` - True, if there are headers on the3 CSV.

### loadCSV2Memory

    public static MLDataSet loadCSV2Memory(String filename,
                                           int input,
                                           int ideal,
                                           boolean headers,
                                           CSVFormat format,
                                           boolean significance)

  Load CSV to memory.

  Parameters:
    `filename` - The CSV file to load.
    `input` - The input count.
    `ideal` - The ideal count.
    `headers` - True, if headers are present.
    `format` - The loaded dataset.
    `significance` - True, if there is a significance column.
  Returns:
    The loaded dataset.

### evaluate

    public static void evaluate(MLRegression network,
                                MLDataSet training)

  Evaluate the network and display (to the console) the output for every value in the training set. Displays ideal and actual.

  Parameters:
    `network` - The network to evaluate.
    `training` - The training set to evaluate.

### formatNeuralData

    public static String formatNeuralData(MLData data)

  Format neural data as a list of numbers.

  Parameters:
    `data` - The neural data to format.
  Returns:
    The formatted neural data.

### simpleFeedForward

    public static BasicNetwork simpleFeedForward(int input,
                                                 int hidden1,
                                                 int hidden2,
                                                 int output,
                                                 boolean tanh)

  Create a simple feedforward neural network.

  Parameters:
    `input` - The number of input neurons.
    `hidden1` - The number of hidden layer 1 neurons.
    `hidden2` - The number of hidden layer 2 neurons.
    `output` - The number of output neurons.
    `tanh` - True to use hyperbolic tangent activation function, false to use the sigmoid activation function.
  Returns:
    The neural network.

### trainConsole

    public static void trainConsole(BasicNetwork network,
                                    MLDataSet trainingSet,
                                    int minutes)

  Train the neural network, using SCG training, and output status to the console.

  Parameters:
    `network` - The network to train.
    `trainingSet` - The training set.
    `minutes` - The number of minutes to train for.

### trainConsole

    public static void trainConsole(MLTrain train,
                                    BasicNetwork network,
                                    MLDataSet trainingSet,
                                    int minutes)

  Train the network, using the specified training algorithm, and send the output to the console.

  Parameters:
    `train` - The training method to use.
    `network` - The network to train.
    `trainingSet` - The training set.
    `minutes` - The number of minutes to train for.

### trainToError

    public static void trainToError(MLMethod method,
                                    MLDataSet dataSet,
                                    double error)

  Train the method, to a specific error, send the output to the console.

  Parameters:
    `method` - The method to train.
    `dataSet` - The training set to use.
    `error` - The error level to train to.

### trainToError

    public static void trainToError(MLTrain train,
                                    double error)

  Train to a specific error, using the specified training method, send the output to the console.

  Parameters:
    `train` - The training method.
    `error` - The desired error level.

### loadEGB2Memory

    public static MLDataSet loadEGB2Memory(File filename)

### convertCSV2Binary

    public static void convertCSV2Binary(String csvFile,
                                         String binFile,
                                         int inputCount,
                                         int outputCount,
                                         boolean headers)

  Convert a CSV file to a binary training file.

  Parameters:
    `csvFile` - The binary file.
    `binFile` - The binary file.
    `inputCount` - The number of input values.
    `outputCount` - The number of output values.
    `headers` - True, if there are headers on the CSV.

### convertCSV2Binary

    public static void convertCSV2Binary(File csvFile,
                                         CSVFormat format,
                                         File binFile,
                                         int[] input,
                                         int[] ideal,
                                         boolean headers)

### calculateRegressionError

    public static double calculateRegressionError(MLRegression method,
                                                  MLDataSet data)

### saveCSV

    public static void saveCSV(File targetFile,
                               CSVFormat format,
                               MLDataSet set)

### calculateClassificationError

    public static double calculateClassificationError(MLClassification method,
                                                      MLDataSet data)

  Calculate the classification error.

  Parameters:
    `method` - The method to check.
    `data` - The data to check.
  Returns:
    The error.

### saveEGB

    public static void saveEGB(File f,
                               MLDataSet data)

  Save a training set to an EGB file.

  Parameters:
    `f` -
    `data` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.